Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354511 - v2v: import dialog - tooltip for URI field of XEN source is truncated
Summary: v2v: import dialog - tooltip for URI field of XEN source is truncated
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt
Version: 4.0.1
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: ovirt-4.0.4
: 4.0.4
Assignee: Sharon Gratch
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 12:58 UTC by Sharon Gratch
Modified: 2016-09-26 12:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-26 12:40:12 UTC
oVirt Team: Virt
rule-engine: ovirt-4.0.z+
mgoldboi: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
screenshot (deleted)
2016-07-11 12:58 UTC, Sharon Gratch
no flags Details
vdsm log (deleted)
2016-07-13 08:59 UTC, Sharon Gratch
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 60959 master MERGED webadmin: v2v-tooltip for XEN's URI field is not truncated 2016-07-20 12:33:35 UTC
oVirt gerrit 61266 ovirt-engine-4.0 MERGED webadmin: v2v-tooltip for XEN's URI field is not truncated 2016-07-25 11:17:02 UTC

Description Sharon Gratch 2016-07-11 12:58:23 UTC
Created attachment 1178393 [details]
screenshot

Description of problem:
In import vms dialog (v2v) for XEN external source, the tooltip for the URI field is displayed as follows:
"Replace '<hostname>' with the hostname of the Xen hypervisor in the libvirt URI.
Only SSH transport is allowed for Xen import and the connection has to be without password. 

To disable SSH host key verification add 'no_verify' parameter to the 
URI, i.e.: 
xen+ssh://root@xen.example.com?no"


Two issues with this tooltip:
1. It is triuncated. The full last line should be:
xen+ssh://root@xen.example.com?no_verify=1</i>"
2. The no_verify flag doesn't work as described in this tooltip. the SSH key verification is not disabled when adding no_verify=1 flag.


Version-Release number of selected component (if applicable):
4.0.1

How reproducible:
100%

Steps to Reproduce:
1.open the import vms dialog and choose the XEN as Source.
2.open the tooltip of the URI field.


Actual results:
the tooltip is both truncated and not accurate in terms of the no_verify flag.

Expected results:
tooltip should be accurate.

Additional info:
see screenshot

Comment 1 Tomáš Golembiovský 2016-07-12 14:02:58 UTC
(In reply to Sharon Gratch from comment #0)

> 2. The no_verify flag doesn't work as described in this tooltip. the SSH key
> verification is not disabled when adding no_verify=1 flag.

Could you please describe how did you observe the fact that the host key verification is not disabled? Or can you attach the relevant part of VDSM log?

Comment 2 Sharon Gratch 2016-07-13 08:59:49 UTC
Created attachment 1179152 [details]
vdsm log

Comment 3 Sharon Gratch 2016-07-13 09:01:35 UTC
regarding 2) The no_verify flag doesn't work as described in this tooltip.:
I tried to connect to a proxy host which I didn't exchange the VDSM ssh keys with XEN server before doing that ->  and it failed to connect while using the no_verify=1 flag. 

VDSM error:
error connection to hypervisor: 'Cannot recv data: Permission denied, please try again
.\r\nPermission denied, please try again.\r\nPermission denied (publickey,gssapi-with-mic,password).: Connection reset by peer'

VDSM version 4.18.

Attached is the vdsm log of another proxy host for reproducing it. 
The 1st error in attached log is while trying to connect without the no_verify flag and the second ERROR is while trying to connect with the flag. Same error for both.

Comment 4 Tomáš Golembiovský 2016-07-13 12:18:24 UTC
The option is not meant to bypass user authentication. It only disables the
check whether the machine VDSM is talking to is the expected one.

If the option didn't work you would see in the VDSM log something like this:

    error connection to hypervisor: 'Cannot recv data: Host key verification failed.: Connection reset by peer'

The truncated tooltip is a problem though.

Comment 5 Red Hat Bugzilla Rules Engine 2016-07-18 14:37:02 UTC
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.

Comment 6 meital avital 2016-09-06 13:50:26 UTC
Verified on version: rhevm-4.0.4-0.1.el7ev.noarch


Note You need to log in before you can comment on or make changes to this bug.